summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-04-03 17:30:37 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-04-03 17:30:37 +0200
commitbca9dca1113c6687dd82fedeec6b916d730edad9 (patch)
tree6f0ab33c674f09bd54d51256a14d0d1c982a77a0 /scripts
parentd90ffd11c468951c4801013ffcaf5178fb6548e8 (diff)
parent45ec86f9056dc8b7c2718a28ef7ac0cff6b7701e (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/reloc.sh2
-rwxr-xr-xscripts/sha256sum5
2 files changed, 6 insertions, 1 deletions
diff --git a/scripts/reloc.sh b/scripts/reloc.sh
index 59323612f..03034ea35 100755
--- a/scripts/reloc.sh
+++ b/scripts/reloc.sh
@@ -4,7 +4,7 @@
olddir=$(grep "^TOPDIR" prereq.mk 2>/dev/null |cut -d '=' -f 2)
newdir=$(pwd)
-if [ ! -z $olddir ];then
+if [ ! -z "$olddir" ];then
if [ "$olddir" != "$newdir" ];then
echo "adk directory relocated!"
echo "old directory: $olddir"
diff --git a/scripts/sha256sum b/scripts/sha256sum
index da34d9113..2a7ffb6f7 100755
--- a/scripts/sha256sum
+++ b/scripts/sha256sum
@@ -4,6 +4,11 @@
if [ -x /usr/bin/sha256sum ]; then
/usr/bin/sha256sum "$@"
+elif [ -x /bin/cksum ] && [ $(echo | cksum -a sha256) = 01ba4719c80b6fe911b091a7c05124b64eeece964e09c058ef8f9805daca546b ]; then
+ # we assume the arguments are exactly "-c" or "-c -"
+ x=$(sed 's/^\([0-9a-fA-F]*\) *\([^ ].*\)$/SHA256 (\2) = \1/' | cksum -c -a sha256)
+ [[ $x = *FAILED* ]] && exit 1
+ exit 0
else
tmp=$(mktemp -t yyy)
cat - > $tmp